> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/asset-types/model-setup/tabs/tab-types/tab-details.md).

# Tab details

### Label

A label for the tab.

### Show sidebar

Determines if the sidebar showing entity details shall be shown on the tab.

### External url

The external URL to show in the tab. You can add attribute values of the entity in the url by referencing the attributes alias in curly braces ex: '{attributealias}'. The internal id of the entity can be referenced by adding '{PIM\_id}' to the url. The user email can be referenced by adding '{USER\_Email}' to the url. Example url: '<https://example.com?pimid={PIM\\_Id}>'.

### View permission

Determines if a specific view permission is required for the user to be able to see this tab.

### Save permission

Determines if a specfic permission is required for the user to be able to save this tab.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-models/asset-types/model-setup/tabs/tab-types/tab-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
